<!--
  Generated template for the DetailsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="dark">
    <ion-title>Details</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding class="bgStyle">

  <br>
  <br>
  <br>
  <ion-list color="dark">

    <ion-item color="dark">
      <ion-label floating>Title</ion-label>
      <ion-input type="text" [(ngModel)]="title"></ion-input>
    </ion-item>

    <ion-item color="dark">
      <ion-label floating>Link</ion-label>
      <ion-input type="text" [(ngModel)]="github"></ion-input>
    </ion-item>

    <ion-item color="dark">
      <ion-label floating>Description</ion-label>
      <ion-textarea type="text" [(ngModel)]="description"></ion-textarea>
    </ion-item>

    <ion-item color="dark" *ngIf="booleanTags">
      <!-- <ion-col > -->
      <!-- <ion-item> -->
      <div *ngFor="let tag of tags;let i=index">
        <ion-row *ngIf="i%3==0">

          <ion-col>
            <button ion-button color="light" round icon-end  *ngIf="i<tags.length" (click)="deleteTag(i)" >{{tags[i]}}
              <ion-icon name="trash" color="danger"></ion-icon>
            </button>
          </ion-col>
          <!-- <ion-col>
            <button ion-button color="danger" *ngIf="i<diagnoses.length" style="float:left;" (click)="deleteDiagnosis(i)">X</button>
          </ion-col> -->
          <ion-col>
            <button ion-button color="light" round icon-end  *ngIf="i+1<tags.length" (click)="deleteTag(i+1)">{{tags[i+1]}}
              <ion-icon  name="trash" color="danger"></ion-icon>
            </button>
          </ion-col>
          <!-- <ion-col>
            <button ion-button color="danger" *ngIf="i+1<diagnoses.length" style="float:left;" (click)="deleteDiagnosis(i+1)">X</button>
          </ion-col> -->
          <ion-col>
            <button ion-button color="light" round icon-end  *ngIf="i+2<tags.length" (click)="deleteTag(i+2)">{{tags[i+2]}}
              <ion-icon name="trash" color="danger"></ion-icon>
            </button>
          </ion-col>
          <!-- <ion-col>
            <button ion-button color="danger" *ngIf="i+2<diagnoses.length" style="float:left;" (click)="deleteDiagnosis(i+2)">X</button>
          </ion-col> -->

          <!-- </ion-item> -->
        </ion-row>
      </div>
      <!-- </ion-col> -->
    </ion-item>

  </ion-list>
  <br>
  <button ion-button color="dark" block round icon-end (click)="makeTagsList()">
    Add tag
    <ion-icon name="add"></ion-icon>
  </button>
  <br><br>
  <button ion-button color="light" block round icon-end (click)="submit()">
    Submit
    <ion-icon name="checkmark"></ion-icon>
  </button>



</ion-content>